package RCWS;

import java.util.LinkedList;
import java.util.List;

public class RouteGroup {
	private List<Route> routes;
	private float endTime = 0f;

	public RouteGroup() {
		this.routes = new LinkedList<Route>();
	}
	
	public void addRoute(Route r) {
		routes.add(r);
		endTime = r.getStartTime() + r.getTimeLength();
	}
	
	public List<Route> getRoutes() {
		return routes;
	}

	public float getEndTime() {
		return endTime;
	}

	public Route getLastRoute() {
		return routes.get(routes.size()-1);
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("\n\t\t\t\t\t\tRouteGroup [routes=").append(routes)
				.append("\n\t\t\t\t\t\t]");
		return builder.toString();
	}


	
}
