/**
 * 
 */
package models;

import java.util.Arrays;
import java.util.Locale;

import RCWS.WhRoute;

/**
 * @author gabi
 *
 */
public class Availability {
	public Availability(WhRoute whRoute, float t, int[] qtys) {
		this.whRoute = whRoute;
		this.t = t;
		this.qtys = qtys.clone();
	}
	private WhRoute whRoute;
	private float t;
	private int[] qtys;
	
	public int[] getQtys() {
		return qtys;
	}

	public void setQtys(int[] qtys) {
		this.qtys = qtys;
	}

	public WhRoute getWhRoute() {
		return whRoute;
	}

	public float getT() {
		return t;
	}

	public int getQty(int prod) {
		return qtys[prod];
	}

	public void setQty(int prod, int qty) {
		qtys[prod] = qty;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("\n\t\t\t\t\tAvailability [")
				.append("\n\t\t\t\t\t\twhRoute.id=")
				.append(whRoute == null? " (initial inventory)" : whRoute.getId())
				.append(", t=").append(String.format(Locale.US, "%.2f",t)).append(", qtys=").append(Arrays.toString(qtys))
				.append("\n\t\t\t\t\t]");
		return builder.toString();
	}

}
