package models;

import main.RNG;

public class Test {
	private final String instanceName;
	private final double beta;
	private final double savingParam;
	private int seed;
	private RNG rng;
	private final int time;
	private final int nTimes;
	private float maxTime;
	
	
	public Test(String instanceName, double beta, double savingParam, int seed, int time, float maxTime, int nTimes) {
		super();
		this.instanceName = instanceName;
		this.beta = beta;
		this.savingParam = savingParam;
		this.seed = seed;
		this.time = time;
		this.rng = new RNG(seed);
		this.nTimes = nTimes;
		this.maxTime = maxTime;
	}
	

	public String getInstanceName() {
		return instanceName;
	}
	public double getBeta() {
		return beta;
	}
	public int getSeed() {
		return seed;
	} 
	
	public int getTime() {
		return time;
	}

	public int getnTimes() {
		return nTimes;
	}


	public RNG getRng() { 
		return rng;
	}
	
	public double getSavingsParameter() { 
		return savingParam;
	}


	public float getMaxTime() {
		return maxTime;
	}


	public void setMaxTime(float maxTime) {
		this.maxTime = maxTime;
	}


	public void setSeed(int seed) {
		this.seed = seed;
		this.rng = new RNG(seed);
		
	}

}
