package map;

import java.util.LinkedList;
import java.util.List;

public class CompleteMap {
	private List<SubMap> subMapList;

	public CompleteMap() {
		this.subMapList = new LinkedList<SubMap>();
	}
	
	public void addSubMap(SubMap sMap) { 
		subMapList.add(sMap);
	}
	
	
	public List<SubMap> getSubMaps() {
		return subMapList;
	}
	
	public String toString(){		
		StringBuilder sb = new StringBuilder();
		int i = 1;
		for(SubMap sm: subMapList){
			sb.append("SubMap " + i + ": " + sm.toString() + "\n");
			i++;
		}
		return sb.toString();	
	}
}
