package map;

import java.util.Comparator;

public class Savings {

	private final float[][] distances;
	private final float[][] savings;
	
	public Savings(float[][] distances,	float[][] savings) {
		this.distances = distances;
		this.savings = savings;
	}
	public float[][] getDistances() {
		return distances;
	}

	public float[][] getSavings() {
		return savings;
	}
	
	public Comparator<Integer> getSavingsComparator(final int node) {
		return new Comparator<Integer>(){
			@Override
			public int compare(Integer i1, Integer i2) {
				
				if(savings[node][i1] > savings[node][i2]) return -1;
				if(savings[node][i1] <savings[node][i2]) return 1;
				return 0;
			}
			
		};
	}

	
}
